# Created by pyp2rpm-1.1.2
%global pypi_name tabulate
%global with_python3 1

Name:           python-%{pypi_name}
Version:        0.7.5
Release:        1%{?dist}
Summary:        Pretty-print tabular data

License:        MIT
URL:            https://bitbucket.org/astanin/python-tabulate
Source0:        https://pypi.python.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
%endif # if with_python3
 
Requires:       python-setuptools

%description
Pretty-print tabular data in
Python, a library and a command-line
utility.
The main use cases of the
library are:
* printing small tables without hassle: just one function call,
formatting is guided by the data itself
* authoring tabular data for
lightweight plain-text markup: multiple
  output formats suitable for further
editing or ...

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Pretty-print tabular data
 
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
Pretty-print tabular data in
Python, a library and a command-line
utility.
The main use cases of the
library are:
* printing small tables without hassle: just one function call,
formatting is guided by the data itself
* authoring tabular data for
lightweight plain-text markup: multiple
  output formats suitable for further
editing or ...
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/tabulate %{buildroot}%{_bindir}/tabulate3
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}




%files
%doc README.rst LICENSE

%{_bindir}/tabulate
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%dir %{python3_sitelib}/__pycache__/
%{_bindir}/tabulate3
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Sun May 31 2015 Robert Kuska <rkuska@redhat.com> - 0.7.5-1
- Initial package.
